import Foundation
import CoreLocation

extension CLLocation {

    static let mock: CLLocation = .init(
        coordinate: .init(latitude: 52.27124117, longitude: 10.53865853),
        altitude: 2340, // m
        horizontalAccuracy: 3.5, // m
        verticalAccuracy: 5.5, // m
        course: 41.7, // deg
        courseAccuracy: 2.3, // deg
        speed: 3.4, // m/s
        speedAccuracy: 0.3,
        timestamp: Date(timeIntervalSinceReferenceDate: 657034001),
        sourceInfo: CLLocationSourceInformation())
}
